> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /artstation/projects/search

> Search ArtStation artworks (projects)

**Price:** 1 credit



## OpenAPI

````yaml /openapi/social-media.json post /api/artstation/projects/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/artstation/projects/search:
    post:
      tags:
        - /artstation
      summary: /artstation/projects/search
      description: |-
        Search ArtStation artworks (projects)

        **Price:** 1 credit
      operationId: __api_artstation_projects_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArtstationProjectsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArtstationProjectCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ArtstationProjectsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          anyOf:
            - $ref: '#/components/schemas/ArtstationProjectSort'
            - type: 'null'
        medium:
          anyOf:
            - items:
                $ref: '#/components/schemas/ArtstationMedium'
              type: array
            - type: 'null'
        subject_matter:
          anyOf:
            - items:
                $ref: '#/components/schemas/ArtstationSubjectMatter'
              type: array
            - type: 'null'
        asset_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/ArtstationAssetType'
              type: array
            - type: 'null'
        software:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        pro_first:
          type: boolean
          default: false
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    ArtstationProjectCard:
      properties:
        '@type':
          type: string
          default: ArtstationProjectCard
        id:
          type: integer
        hash_id:
          anyOf:
            - type: string
            - type: 'null'
        project_title:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        like_count:
          anyOf:
            - type: integer
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_adult:
          type: boolean
          default: false
        asset_count:
          anyOf:
            - type: integer
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        user:
          anyOf:
            - $ref: '#/components/schemas/ArtstationUserBrief'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ArtstationProjectSort:
      type: string
      enum:
        - relevance
        - likes
        - latest
        - trending
    ArtstationMedium:
      type: string
      enum:
        - Digital 2D
        - Digital 3D
        - Animation
        - Real-time
        - Live Action CG/VFX
        - 3D Printing
        - Traditional Ink
        - Traditional Dry Media
        - Traditional Paint
        - Traditional Sculpture
        - Mixed Media
    ArtstationSubjectMatter:
      type: string
      enum:
        - Abstract
        - Anatomy
        - Animals & Wildlife
        - Anime & Manga
        - Architectural Concepts
        - Architectural Visualization
        - Automotive
        - Board & Card Game Art
        - Book Illustration
        - Character Animation
        - Character Design
        - Character Modeling
        - Children's Art
        - Comic Art
        - Concept Art
        - Cover Art
        - Creatures
        - Editorial Illustration
        - Environmental Concept Art & Design
        - Fan Art
        - Fantasy
        - Fashion & Costume Design
        - Game Art
        - Gameplay & Level Design
        - Games and Real-Time 3D Environment Art
        - Graphic Design
        - Hard Surface
        - Horror
        - Illustration
        - Industrial & Product Design
        - Lighting
        - Matte Painting
        - Mecha
        - Mechanical Design
        - Motion Graphics
        - Photogrammetry & 3D Scanning
        - Pixel and Voxel Art
        - Portraits
        - Props
        - Realism
        - Science Fiction
        - Scientific Illustration & Visualization
        - Scripts & Tools
        - Sketches
        - Still Life
        - Storyboards
        - Stylized
        - Technical Art
        - Textures & Materials
        - Toys & Collectibles
        - Tutorials
        - User Interface (UI) Art
        - VFX for Film, TV & Animation
        - VFX for Real-Time & Games
        - Vehicles
        - Virtual and Augmented Reality
        - Visual Development
        - Weapons
        - Web and App Design
    ArtstationAssetType:
      type: string
      enum:
        - 360 Panos
        - Marmoset Viewer
        - Sketchfab
        - Twinmotion
        - Video
        - Video Clip
    ArtstationUserBrief:
      properties:
        '@type':
          type: string
          default: ArtstationUserBrief
        id:
          type: integer
        alias:
          anyOf:
            - type: string
            - type: 'null'
        full_name:
          anyOf:
            - type: string
            - type: 'null'
        headline:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_pro:
          type: boolean
          default: false
        is_staff:
          type: boolean
          default: false
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        project_count:
          anyOf:
            - type: integer
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        available_full_time:
          type: boolean
          default: false
        available_freelance:
          type: boolean
          default: false
        available_contract:
          type: boolean
          default: false
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````